Bug 152527 - RHEL5-rg-bug: kernel-doc package not included in comps.xml
RHEL5-rg-bug: kernel-doc package not included in comps.xml
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhel-rg (Show other bugs)
4.5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Hideo
: Documentation
Depends On:
Blocks: 148897
  Show dependency treegraph
 
Reported: 2005-03-29 19:05 EST by Stephen Gardner
Modified: 2010-08-25 19:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-24 02:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gardner 2005-03-29 19:05:59 EST
Description of problem:
kernel-doc package is not selectable (or otherwise selected) at install time as
part of any group and there is no reference to it in comps.xml however the
package does exist in the distribution and is referred to in the online
documentation.

Version-Release number of selected component (if applicable):
RHEL4-U0
comps release  4AS-0.20050107

How reproducible:
Always

Steps to Reproduce:
1. grep kernel-doc /usr/share/comps/$(uname -i)/comps.xml
  
Actual results:
kernel-doc does not exist on the system as per  RHEL4 Reference Guide
http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/ref-guide/s1-proc-additional-resources.html
"Some of the best documentation about the proc  file system is installed on the
system by default

/usr/share/doc/kernel-doc-<version>/Documentation"...

Yet /usr/share/doc/kernel-doc-<version>  doesn't exist

CC'd to Andrius Benokraitis as I refer to
rhel-rg(EN)-4-HTML-RHI (2004-09-30T17:13)

Expected results:
kernel-doc gets installed by default (or not), that's up to you to agree on

Additional info:
For reference in RHEL3 kernel-doc was classed under the kernel-development group
which does not exist under RHEL4.

RE: rhel-rg
In neither RHEL3 or RHEL4 is the kernel-doc package mandatory therefore the
rhel-rg in both cases (rhel-rg, Section 5.5.1) regarding the docs being
installed by default is probably incorrect.
Comment 1 Stephen Gardner 2005-03-29 20:15:24 EST
To clarify the section in my original report entitled
RE: rhel-rg
[ using the word "mandatory" previously has specific implications in regards to
comps.xml and installation so I'll re-phrase ]

In neither RHEL3 nor RHEL4 is the kernel-doc package included on the system by
default. I have verified this with default settings installations of
RHEL3-U4-AS-i386 (text mode install)
RHEL4-U0-AS-i386 (text mode install)

Therefore
rhel-rg(EN)-4-HTML-RHI (2004-09-30T17:13), Section 5.5.1,  and
rhel-rg(EN)-3-HTML-RHI (2003-07-25T17:13), Section 5.5.1

should probably refer to installing the kernel-doc package.
Comment 2 Andrius Benokraitis 2005-03-30 15:12:20 EST
Thanks for CC'ing me... depending on how the developer proceeds on this bug, I
can develop a DOCS strategy from there.

Standing by for developer input, and added this bug to RHEL5 Reference Guide
tracking bug (just in case, as a reminder).  
Comment 3 Mike McLean 2005-03-31 16:21:22 EST
Ok, I have added kernel-doc to comps.  It is an optional package in the 'System
Tools' group.  Reassigning to Andrius.
Comment 4 Andrius Benokraitis 2005-03-31 18:11:49 EST
Mike, does that mean the kernel-doc package needs to still be "checked on" or is
it installed by default now as well? thanks!
Comment 5 Mike McLean 2005-04-01 10:22:41 EST
yes, if a user wants it, they will have to select it within the system-tools group.
Comment 6 Andrius Benokraitis 2005-04-04 13:40:33 EDT
Would it be unreasonable to have the package installed by default? :-) How much
space does it take up on the disk? Thanks!
Comment 7 Mike McLean 2005-04-05 12:06:38 EDT
If we installed by default all packages that anyone asked to be installed by
default, the minimal install would be far from minimal.  This package consumes
11M on my machine, so it's kind of on the large side.

Having the package selectable at install time is an improvement and should be
sufficient given that most people do not need this package.
Comment 8 Michael Hideo 2007-03-06 20:45:24 EST
Let's ensure its removal for 4.5 from the RG
Comment 9 Don Domingo 2007-04-16 03:17:02 EDT
edited to read:

"<para>Below is a list of directories you can consult for more information about
the <filename>proc</filename> file system. These documents are installed through
the <filename>kernel-doc</filename> package.</para>"

reassigning to mhideo, to have the updated RG pushed to the docs site. thanks!

Note You need to log in before you can comment on or make changes to this bug.